> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the cost allocation summary over a time window

> Retrieve cost allocation summary. Faster than the full allocation, but may include less details.



## OpenAPI

````yaml /api-specs/6.3/public-api.yaml get /api/cost/v2/allocation/summary
openapi: 3.0.3
info:
  title: Domino Public API
  description: Domino Public API Endpoints
  version: 6.2.2
servers: []
security:
  - DominoApiKey: []
  - BearerAuthentication: []
tags:
  - name: AIGateway
  - name: AppInstances
  - name: AppVersions
  - name: Apps
  - name: AsyncPredictions
  - name: AuditTrail
  - name: BillingTag
  - name: BillingTagSettings
  - name: Cost
  - name: CustomMetrics
  - name: DataSource
  - name: DatasetRw
  - name: DeploymentTargets
  - name: Environments
  - name: GenAI
  - name: HardwareTier
  - name: Jobs
  - name: ModelAPI
  - name: ModelAPIVersion
  - name: ModelDeployment
  - name: Organizations
  - name: PPM
  - name: ProjectSharedDatasets
  - name: ProjectTemplates
  - name: Projects
  - name: ProjectsFiles
  - name: RegisteredModels
  - name: ServiceAccounts
  - name: Users
  - name: Workspaces
paths:
  /api/cost/v2/allocation/summary:
    get:
      tags:
        - Cost
      summary: Get the cost allocation summary over a time window
      description: >-
        Retrieve cost allocation summary. Faster than the full allocation, but
        may include less details.
      operationId: getAccumulatedCostAllocationSummaryV2
      parameters:
        - description: >-
            Duration of time over which to query. Accepts words like today,
            week, month, yesterday, lastweek, lastmonth; durations like 30m,
            12h, 7d, or time like 2021-03-10T00:00:00Z,2021-03-11T00:00:00Z
          in: query
          name: window
          required: true
          schema:
            type: string
        - description: >-
            Aggregate the cost allocation. Accepts kubecost aggregates cluster,
            namespace, pod, deployment, service, daemonset, statefulset, job,
            cronjob, replicaset, node, container, pv, pvc, storageclass, cluster
          in: query
          name: aggregate
          required: false
          schema:
            items:
              type: string
            type: array
        - description: >-
            filter the result by the kubecost filter like cluster, namespace,
            pod, deployment, service, daemonset, statefulset, job, cronjob,
            replicaset, node, container, pv, pvc, storageclass, cluster.
          in: query
          name: filter
          required: false
          schema:
            type: string
        - description: if the idle cost will be shared
          in: query
          name: shareIdle
          required: false
          schema:
            type: boolean
        - description: list of namespaces to share the costs
          in: query
          name: shareNamespaces
          required: false
          schema:
            type: string
        - description: >-
            determines how to split shared costs among non-idle, unshared
            allocations.
          in: query
          name: shareSplit
          required: false
          schema:
            type: string
        - description: the cost to share
          in: query
          name: shareCost
          required: false
          schema:
            type: string
        - description: the label to share the cost
          in: query
          name: shareLabels
          required: false
          schema:
            type: string
        - description: if the cost will be reconciled
          in: query
          name: reconcile
          required: false
          schema:
            type: boolean
        - description: if the tenancy costs will be shared
          in: query
          name: shareTenancyCosts
          required: false
          schema:
            type: boolean
        - description: if the idle cost will be calculated
          in: query
          name: idle
          required: false
          schema:
            type: boolean
        - description: if the external cost will be calculated
          in: query
          name: external
          required: false
          schema:
            type: boolean
        - description: Max number of rows to fetch. Defaults to 1000.
          in: query
          name: limit
          required: false
          schema:
            type: integer
        - description: How many rows from the start to skip. Defaults to 0.
          in: query
          name: offset
          required: false
          schema:
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CostAllocationSummaryEnvelopeV2'
          description: Success
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
        '500':
          $ref: '#/components/responses/500'
components:
  schemas:
    CostAllocationSummaryEnvelopeV2:
      properties:
        data:
          items:
            $ref: '#/components/schemas/CostAllocationSummaryV2'
          type: array
      required:
        - data
      type: object
    CostAllocationSummaryV2:
      properties:
        allocationProperties:
          $ref: '#/components/schemas/CostPropertiesV2'
        cpu:
          $ref: '#/components/schemas/CostAllocationSummaryCpuV2'
        end:
          type: string
        externalCost:
          nullable: true
          type: number
        gpu:
          $ref: '#/components/schemas/CostAllocationSummaryGpuV2'
        key:
          $ref: '#/components/schemas/CostKeyV2'
        labels:
          $ref: '#/components/schemas/CostLabelsV2'
        loadBalancer:
          $ref: '#/components/schemas/CostAllocationSummaryLoadBalancerV2'
        minutes:
          type: number
        network:
          $ref: '#/components/schemas/CostAllocationSummaryNetworkV2'
        pv:
          $ref: '#/components/schemas/CostAllocationSummaryPvV2'
        ram:
          $ref: '#/components/schemas/CostAllocationSummaryRamV2'
        sharedCost:
          nullable: true
          type: number
        start:
          type: string
        totalCost:
          nullable: true
          type: number
        totalEfficiency:
          nullable: true
          type: number
        window:
          $ref: '#/components/schemas/CostTimeWindowV2'
      type: object
    FailureEnvelopeV1:
      properties:
        errors:
          description: Errors that caused a request to fail
          items:
            type: string
          type: array
        requestId:
          description: Id used to correlate a request with server actions.
          example: bbd78579-93c4-45ee-a983-0d5c8da6d5b1
          type: string
      required:
        - requestId
        - errors
      type: object
    CostPropertiesV2:
      additionalProperties:
        type: string
      type: object
    CostAllocationSummaryCpuV2:
      properties:
        coreRequestAverage:
          type: number
        coreUsageAverage:
          type: number
        cost:
          type: number
      type: object
    CostAllocationSummaryGpuV2:
      properties:
        cost:
          type: number
      type: object
    CostKeyV2:
      additionalProperties:
        type: string
      type: object
    CostLabelsV2:
      properties:
        billingTag:
          type: string
        organizationId:
          type: string
        organizationName:
          type: string
        projectId:
          type: string
        projectName:
          type: string
        projectOwnerId:
          type: string
        projectOwnerName:
          type: string
        startingUserId:
          type: string
        startingUserName:
          type: string
        workloadId:
          type: string
        workloadType:
          type: string
      type: object
    CostAllocationSummaryLoadBalancerV2:
      properties:
        cost:
          type: number
      type: object
    CostAllocationSummaryNetworkV2:
      properties:
        cost:
          type: number
      type: object
    CostAllocationSummaryPvV2:
      properties:
        cost:
          type: number
      type: object
    CostAllocationSummaryRamV2:
      properties:
        byteRequestAverage:
          type: number
        byteUsageAverage:
          type: number
        cost:
          type: number
      type: object
    CostTimeWindowV2:
      properties:
        end:
          type: string
        start:
          type: string
      type: object
  responses:
    '400':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Bad Request
    '401':
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/FailureEnvelopeV1'
      description: >-
        The current user cannot perform this operation because they are not
        logged in
    '403':
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/FailureEnvelopeV1'
      description: The current user is not authorized to perform this operation
    '404':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Not Found
    '500':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Internal Server Error
  securitySchemes:
    DominoApiKey:
      in: header
      name: X-Domino-Api-Key
      type: apiKey
    BearerAuthentication:
      in: header
      name: Authorization
      type: apiKey

````